Package logilab :: Package common :: Module debugger

[frames] | no frames]

# Module debugger

source code

    Customized version of pdb's default debugger.

    - sets up a history file
    - uses ipython if available to colorize lines of code
    - overrides list command to search for current block instead
      of using 5 lines of context

Classes
| Debugger custom debugger

Functions

colorize(source, start_lineno, curlineno) colorize and annotate source with linenos... | source code

colorize_source(source) colorize given source | source code

getsource(obj) Return the text of the source code for an object. | source code

pm() use our custom debugger | source code

set_trace() | source code

Variables
| readline = `None` hash(x)

Function Details

### colorize(source, start_lineno, curlineno)

source code

    colorize and annotate source with linenos
    (as in pdb's list command)

### getsource(obj)

source code

    Return the text of the source code for an object.

    The argument may be a module, class, method, function, traceback, frame,
    or code object.  The source code is returned as a single string.  An
    IOError is raised if the source code cannot be retrieved.